/*
 * @file INTERN.CSS
 * @author (c) Michael Ziemke, Koeln, Germany
 * 2020-01: Änderung fieldset.portal-tile
 * @version 2020-01, 2019-10, 2017-08, 2012-07, 2007-02
 */

a:link    { color: teal; text-decoration: none; }
a:active  { color: teal; text-decoration: none; }
a:visited { color: teal; text-decoration: none; }
a:hover   { color: red; text-decoration: none; }

a.menu:link    { color: white; text-decoration: none; }
a.menu:active  { color: white; text-decoration: none; }
a.menu:visited { color: white; text-decoration: none; }
a.menu:hover   { color: red; text-decoration: none; }

/*
html,body,th,td,li,p,div,span { font: normal 0.95em Verdana,sansserif; }
h1,h2,h3,h4 { font: bold 1.0em Verdana,sansserif; margin: 0.4em 0em 0.2em; }
h1    { font-size: 1.3em }
h2    { font-size: 1.2em }
h3    { font-size: 1.1em }
h4    { font-size: 1.0em }
h3.javaDisabled { background-color:red; text-align:center; }

th    { font-weight: bold; }
*/

/* nur für den TableEditor: body auf gesamter Breite darstellen: */
body.wid100 {
  width: 98%;
  max-width: 98%;  
  margin: 0.5em;
}  

table.menu {
  background-color:teal; border-style:none;
  font-size:12pt; font-weight:bold;
  padding:0px; margin:5px 0px;
  }
tr.menu { margin:0px; height:20px; }

td.menu {
  cursor:pointer;
  width:150px;
  }
span.menu {
  text-align:left;
  color:white;
  }
p.menu {
  text-align:center; color:white;
  padding-left:5px; padding-right:5px;
  font:bold 0.8em Verdana,sansserif;
  }
p.menupassiv {
  text-align:center;
  padding-left:5px; padding-right:5px; color:gray;
  }
img.logo {
  width:90px; height:90px; border-style:none; float:right;
  margin:0px;
  }

/*  
.warning, .error, .alarm { color:red; margin: 0em; padding: 0em; }
.error, .bold, .alarm { font-weight:bold; }
.alarm { background-color: red; color: white; }

.footer { 
  width: auto; 
  margin: 0.5em; 
  text-align:center; 
  font-size: 0.8em; 
  }
*/  
  
input.gruenweiss { color:white; background-color:green; font-weight:bold; }
input.portal100 { width:100px; font-size:0.7em; }
input.portal150 { width:150px; font-size:0.8em; }

/*
div.portal { margin:0px 20px; }
*/
tr.portal-tile {  }
td.portal-tile { width:50%; vertical-align:top; }
fieldset.portal-tile { 
  height: auto; 
  min-width: 20em;
  margin: 0.3em; 
  border:1px solid DarkGray; border-width:1px 3px 3px 1px; 
  }
div.portal-tile { display: flex; flex-direction: column; }
.pt1 { background-color:Yellow; }
.pt2 { background-color:Tomato; }
.pt3 { background-color:CornflowerBlue; }
.pt4 { background-color:SeaGreen; }
.pt5 { background-color:YellowGreen; }
.pt6 { background-color:SkyBlue; }
h3.portal-tile { margin:0px 5px; }
ul.portal-tile { margin: 0px; list-style-type: none; text-indent: -2em; }
legend.portal-tile { background-color:DimGray; color:white; padding:0px 5px; }
img.logo_menu { float:right; margin-left:5px; width:45px; height:45px;}

/*
.no-wrap { white-space: nowrap; }
.tal { text-align: left; }
.tac { text-align: center; }
.tar { text-align: right; }
*/

th.fako, td.fako { padding: 0.2em 0.4em; } 

/* Tabelle FaKo-Mitglieder: */

/* CSS zur Klasse NOTEN: */


body.auftrag { margin:0px 20px; }

div.download, ul.download, li.download {
  margin: 0em;
  }
div.download {
  margin-bottom: 0.5em;
  }
li.download {
  list-style-type: none;
  }
span.download:hover {
  color: red;
  font-weight: bold;
}  

/*
@media screen {
  .printonly  { display:none; }
  }
*/

  @media all and (min-width: 44em) {
    div.portal-tile { flex-direction: row; }
    fieldset.portal-tile { width: 50%; }
  }

@media print {
  /* ... Formatdefinitionen zum Drucken ... */
  table.menu { display:none; }
  img.logo { display:none; }
  /*
  body { font: normal 0.8em Verdana,sansserif; }
  .noprint  { display:none; }
  */
  }